from pylab import *

deg = linspace(0, 4 * 360, 4 * 360 + 1)
wt = radians(deg)

f = exp(- wt / 2 / pi * 0.5) * sin(wt)
fp = exp(- wt / 2 / pi * 0.5)
fm = -fp

dat = array([deg, wt, f, fp, fm]).transpose()

np.save('deg.npy', deg)
np.save('f.npy', f)
np.save('fp.npy', fp)

np.savetxt('dat.txt', dat, fmt='%.4f')

