from pylab import *

ion()

x = linspace(0, 2, 201)
y = x / 2

xe = linspace(0, 2, 21)
ye = xe / 2 + randn(21) * 0.1

A = array([xe, ones(len(xe))]).transpose()
t = linalg.lstsq(A, ye)

a = t[0][0]
b = t[0][1]

close('all')

rc('text', usetex=True)
rc('font', family='serif', size='16')

plot(x, y, 'b')
plot(xe, ye, 'r.')

yfit = a * x + b
plot(x, yfit, 'm')
xlabel('$x$')
ylabel('$y$')
savefig('fitovanje.pdf')

pause(5)

