from pylab import *

ion()

close('all')

x = linspace(0, 1, 101)
y = x ** 2

rc('text', usetex=True)
rc('font', family='serif')

figure(0, figsize = (6, 4))

plot(x,y)

xlabel(r'$x$')
ylabel(r'$y$')

text(0.5, 0.4, r'$y = x^2$')

savefig('kvadrat.pdf', bbox_inches='tight')

pause(5)

